variables:
    SAST_EXCLUDED_PATHS: spec, test, tests, tmp
    SAST_EXCLUDED_ANALYZERS: bandit, brakeman, flawfinder, gosec, kubesec,
        phpcs-security-audit, pmd-apex, security-code-scan, sobelow, spotbugs

include:
    - template: Security/SAST.gitlab-ci.yml
    - template: Dependency-Scanning.gitlab-ci.yml
    - template: Security/License-Scanning.gitlab-ci.yml

stages:
    - lint
    - test

jshint:
    stage: lint
    image: node:latest
    before_script:
        - npm install
    script:
        - "./node_modules/grunt/bin/grunt lint_jshint"

markdownlint:
    stage: lint
    image: node:latest
    before_script:
        - npm install
    script:
        - "./node_modules/grunt/bin/grunt lint_markdownlint"
